# [Peertube](https://github.com/Chocobozzz/PeerTube) on kubernetes

Federated (ActivityPub) video streaming platform using P2P (BitTorrent) directly in the web browser with WebTorrent.

---

## Status : WIP

- [x] Run Peertube and Redis
- [x] Use pvc to persist data
- [ ] Improve readme for deployment

## Before deploy

Currently if you want use persistent volume you need to create persistent volume and persistent volume claim

You also need a postgresql server.  
If you know what you are doing and want to store postgres in Kubernetes, I suggest the excellent [stolon](https://github.com/helm/charts/tree/master/stable/stolon).

## Installing the chart

`$ helm install --name my-release peertube`

Specify each parameter using the --set key=value[,key=value] argument to helm install. For example,

```
$ helm install --name my-release \
  --set environment.hostname=new.domain.tld,\
  postgresql.postgresPassword=secretpassword \
  peertube
```

Alternatively, a YAML file that specifies the values for the parameters can be provided while installing the chart. For example,

`$ helm install --name my-release -f values.yaml peertube`

See the values.yml.sample for example of values to use

## Source

Originated from https://github.com/MikaXII/helm-charts  
Thanks!